{
  "getAllPSAppDEACModes" : [ {
    "codeName" : "Default",
    "getItemPSLayoutPanel" : {
      "getAllPSPanelFields" : [ {
        "id" : "rawmaterialname",
        "viewFieldName" : "rawmaterialname"
      } ],
      "codeName" : "Usr0115766933",
      "controlType" : "PANEL",
      "dynaModelFilePath" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/RawMaterial/PSPANELS/Usr0115766933.json",
      "layoutMode" : "Flex",
      "logicName" : "自填模式布局面板测试",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/RawMaterial.json"
      },
      "getPSControlParam" : {
        "id" : "panel"
      },
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getRootPSPanelItems" : [ {
        "caption" : "容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container",
        "getPSLayout" : {
          "align" : "space-between",
          "dir" : "row",
          "layout" : "FLEX",
          "vAlign" : "center"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "文本(动态)",
          "itemStyle" : "DEFAULT",
          "itemType" : "FIELD",
          "name" : "rawmaterialname",
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "rawmaterialname",
            "predefinedType" : "FIELD_TEXT_DYNAMIC",
            "renderMode" : "TEXT_DYNAMIC",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "viewFieldName" : "rawmaterialname",
          "hidden" : false,
          "showCaption" : false
        }, {
          "caption" : "图片",
          "contentType" : "IMAGE",
          "itemStyle" : "DEFAULT",
          "itemType" : "RAWITEM",
          "name" : "static_image",
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "getPSRawItem" : {
            "contentType" : "IMAGE",
            "name" : "static_image",
            "getPSSysImage" : {
              "glyph" : "xf1b2@FontAwesome",
              "cssClass" : "fa fa-cube"
            },
            "predefinedType" : "STATIC_IMAGE"
          },
          "getPSSysImage" : {
            "glyph" : "xf1b2@FontAwesome",
            "cssClass" : "fa fa-cube"
          },
          "showCaption" : true
        } ]
      } ],
      "layoutPanel" : true,
      "name" : "panel",
      "modelid" : "4C7D1B54-3AA3-43CF-BD4D-2AE6BC447449",
      "modeltype" : "PSSYSVIEWPANEL"
    },
    "logicName" : "DEFAULT",
    "name" : "DEFAULT",
    "getPSDEACModeDataItems" : [ {
      "dataType" : 25,
      "name" : "value",
      "getPSAppDEField" : {
        "name" : "RAWMATERIALID",
        "codeName" : "RawMaterialId"
      }
    }, {
      "dataType" : 25,
      "name" : "text",
      "getPSAppDEField" : {
        "name" : "RAWMATERIALNAME",
        "codeName" : "RawMaterialName"
      }
    } ],
    "pagingSize" : 50,
    "getTextPSAppDEField" : {
      "name" : "RAWMATERIALNAME",
      "codeName" : "RawMaterialName"
    },
    "getValuePSAppDEField" : {
      "name" : "RAWMATERIALID",
      "codeName" : "RawMaterialId"
    },
    "defaultMode" : true,
    "enablePagingBar" : false
  } ],
  "getAllPSAppDEActions" : [ {
    "actionMode" : "CHECKKEY",
    "codeName" : "CheckKey",
    "methodType" : "DEACTION",
    "name" : "CheckKey",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "RawMaterialDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "stdDataType" : 9,
      "type" : "SIMPLE"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/RawMaterial/PSDEACTIONS/CheckKey.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "CheckKey"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/checkkey",
    "builtinMethod" : false
  }, {
    "actionMode" : "CREATE",
    "codeName" : "Create",
    "methodType" : "DEACTION",
    "name" : "Create",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "RawMaterialDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "RawMaterialDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/RawMaterial/PSDEACTIONS/Create.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "READ",
    "codeName" : "Get",
    "methodType" : "DEACTION",
    "name" : "Get",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "RAWMATERIALID",
        "codeName" : "RawMaterialId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELD"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "RawMaterialDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/RawMaterial/PSDEACTIONS/Get.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "requestField" : "RAWMATERIALID",
    "requestMethod" : "GET",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "GETDRAFT",
    "codeName" : "GetDraft",
    "methodType" : "DEACTION",
    "name" : "GetDraft",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "RawMaterialDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "RawMaterialDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/RawMaterial/PSDEACTIONS/GetDraft.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "GetDraft"
    },
    "requestMethod" : "GET",
    "requestParamType" : "NONE",
    "requestPath" : "/getdraft",
    "builtinMethod" : false
  }, {
    "actionMode" : "DELETE",
    "batchActionMode" : 1,
    "codeName" : "Remove",
    "methodType" : "DEACTION",
    "name" : "Remove",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "RAWMATERIALID",
        "codeName" : "RawMaterialId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELDS"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/RawMaterial/PSDEACTIONS/Remove.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "DELETE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "requestField" : "RAWMATERIALID",
    "requestMethod" : "DELETE",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "enableBatchAction" : true,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "UNKNOWN",
    "codeName" : "Save",
    "methodType" : "DEACTION",
    "name" : "Save",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "RawMaterialDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/RawMaterial/PSDEACTIONS/Save.json"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Save"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/save",
    "builtinMethod" : false,
    "needResourceKey" : true
  }, {
    "actionMode" : "UPDATE",
    "codeName" : "Update",
    "methodType" : "DEACTION",
    "name" : "Update",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "RawMaterialDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "RawMaterialDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/RawMaterial/PSDEACTIONS/Update.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "UPDATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "requestMethod" : "PUT",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  } ],
  "getAllPSAppDEDataSets" : [ {
    "codeName" : "FetchDefault",
    "dataSetName" : "DEFAULT",
    "dataSetTag" : "Default",
    "methodType" : "FETCH",
    "name" : "FetchDefault",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "RawMaterialFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "RawMaterialDTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "Default"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/fetchdefault",
    "builtinMethod" : false
  } ],
  "getAllPSAppDEFields" : [ {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[RAWMATERIALID][原材料标识]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "SPAN",
        "name" : "[RAWMATERIALID][原材料标识]",
        "stringLength" : 100,
        "uIMode" : "DEFAULT",
        "allowEmpty" : false
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[RAWMATERIALID][原材料标识]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "name" : "[RAWMATERIALID][原材料标识]移动端默认",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "RawMaterialId",
    "logicName" : "原材料标识",
    "name" : "RAWMATERIALID",
    "stdDataType" : 25,
    "stringLength" : 100,
    "keyField" : true
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[CREATEDATE][建立时间]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "name" : "[CREATEDATE][建立时间]移动端默认",
        "uIMode" : "MOBILEDEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[CREATEDATE][建立时间]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "SPAN",
        "name" : "[CREATEDATE][建立时间]",
        "uIMode" : "DEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false
      },
      "type" : "DEFAULT"
    } ],
    "codeName" : "CreateDate",
    "logicName" : "建立时间",
    "name" : "CREATEDATE",
    "stdDataType" : 5,
    "valueFormat" : "YYYY-MM-DD HH:mm:ss"
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[RAWMATERIALNAME][原材料名称]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "name" : "[RAWMATERIALNAME][原材料名称]",
        "stringLength" : 200,
        "uIMode" : "DEFAULT",
        "valueFormat" : "###.00"
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[RAWMATERIALNAME][原材料名称]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "name" : "[RAWMATERIALNAME][原材料名称]移动端默认",
        "stringLength" : 200,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "RawMaterialName",
    "logicName" : "原材料名称",
    "name" : "RAWMATERIALNAME",
    "stdDataType" : 25,
    "stringLength" : 200,
    "enableQuickSearch" : true,
    "majorField" : true
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[CREATEMAN][建立人]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "SPAN",
        "name" : "[CREATEMAN][建立人]",
        "stringLength" : 60,
        "uIMode" : "DEFAULT",
        "allowEmpty" : false
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[CREATEMAN][建立人]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "name" : "[CREATEMAN][建立人]移动端默认",
        "stringLength" : 60,
        "uIMode" : "MOBILEDEFAULT",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "CreateMan",
    "logicName" : "建立人",
    "name" : "CREATEMAN",
    "stdDataType" : 25,
    "stringLength" : 60
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[UPDATEDATE][更新时间]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "SPAN",
        "name" : "[UPDATEDATE][更新时间]",
        "uIMode" : "DEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[UPDATEDATE][更新时间]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "name" : "[UPDATEDATE][更新时间]移动端默认",
        "uIMode" : "MOBILEDEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "UpdateDate",
    "logicName" : "更新时间",
    "name" : "UPDATEDATE",
    "stdDataType" : 5,
    "valueFormat" : "YYYY-MM-DD HH:mm:ss"
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[UPDATEMAN][更新人]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "SPAN",
        "name" : "[UPDATEMAN][更新人]",
        "stringLength" : 60,
        "uIMode" : "DEFAULT",
        "allowEmpty" : false
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[UPDATEMAN][更新人]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "name" : "[UPDATEMAN][更新人]移动端默认",
        "stringLength" : 60,
        "uIMode" : "MOBILEDEFAULT",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "UpdateMan",
    "logicName" : "更新人",
    "name" : "UPDATEMAN",
    "stdDataType" : 25,
    "stringLength" : 60
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[PAYID][支付标识]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "HIDDEN",
        "name" : "[PAYID][支付标识]",
        "getRefPSDataEntity" : {
          "modelref" : true,
          "path" : "PSMODULES/common/PSDATAENTITIES/Pay.json"
        },
        "stringLength" : 100,
        "uIMode" : "DEFAULT"
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[PAYID][支付标识]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "HIDDEN",
        "name" : "[PAYID][支付标识]移动端默认",
        "getRefPSDataEntity" : {
          "modelref" : true,
          "path" : "PSMODULES/common/PSDATAENTITIES/Pay.json"
        },
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "PayId",
    "logicName" : "支付标识",
    "name" : "PAYID",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[PAYNAME][支付名称]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "PICKER",
        "name" : "[PAYNAME][支付名称]",
        "refLinkPSDEViewCodeName" : "RedirectView",
        "refMPickupPSDEViewCodeName" : "MPickupView",
        "getRefPSDEACMode" : {
          "modelref" : true,
          "path" : "PSMODULES/common/PSDATAENTITIES/Pay/PSDEACMODES/Default.json"
        },
        "getRefPSDataEntity" : {
          "modelref" : true,
          "path" : "PSMODULES/common/PSDATAENTITIES/Pay.json"
        },
        "refPickupPSDEViewCodeName" : "PickupView",
        "stringLength" : 200,
        "uIMode" : "DEFAULT"
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[PAYNAME][支付名称]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "MOBPICKER",
        "name" : "[PAYNAME][支付名称]移动端默认",
        "refLinkPSDEViewCodeName" : "RedirectView",
        "refMPickupPSDEViewCodeName" : "MPickupView",
        "getRefPSDEACMode" : {
          "modelref" : true,
          "path" : "PSMODULES/common/PSDATAENTITIES/Pay/PSDEACMODES/Default.json"
        },
        "getRefPSDataEntity" : {
          "modelref" : true,
          "path" : "PSMODULES/common/PSDATAENTITIES/Pay.json"
        },
        "refPickupPSDEViewCodeName" : "PickupView",
        "stringLength" : 200,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "PayName",
    "logicName" : "支付名称",
    "name" : "PAYNAME",
    "stdDataType" : 25,
    "stringLength" : 200
  } ],
  "getAllPSAppDEMethodDTOs" : [ {
    "codeName" : "RawMaterialDTO",
    "name" : "RawMaterialDTO",
    "getPSAppDEMethodDTOFields" : [ {
      "codeName" : "CreateDate",
      "jsonFormat" : "yyyy-MM-dd HH:mm:ss",
      "logicName" : "建立时间",
      "name" : "CreateDate",
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 5,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "CreateMan",
      "logicName" : "建立人",
      "name" : "CreateMan",
      "getPSAppDEField" : {
        "name" : "CREATEMAN",
        "codeName" : "CreateMan"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "PayId",
      "logicName" : "支付标识",
      "name" : "PayId",
      "getPSAppDEField" : {
        "name" : "PAYID",
        "codeName" : "PayId"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "PayName",
      "logicName" : "支付名称",
      "name" : "PayName",
      "getPSAppDEField" : {
        "name" : "PAYNAME",
        "codeName" : "PayName"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "RawMaterialId",
      "logicName" : "原材料标识",
      "name" : "RawMaterialId",
      "getPSAppDEField" : {
        "name" : "RAWMATERIALID",
        "codeName" : "RawMaterialId"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "RawMaterialName",
      "logicName" : "原材料名称",
      "name" : "RawMaterialName",
      "getPSAppDEField" : {
        "name" : "RAWMATERIALNAME",
        "codeName" : "RawMaterialName"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "UpdateDate",
      "jsonFormat" : "yyyy-MM-dd HH:mm:ss",
      "logicName" : "更新时间",
      "name" : "UpdateDate",
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 5,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "UpdateMan",
      "logicName" : "更新人",
      "name" : "UpdateMan",
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE",
      "allowEmpty" : false
    } ],
    "sourceType" : "DE",
    "type" : "DEFAULT"
  }, {
    "codeName" : "RawMaterialFilterDTO",
    "name" : "RawMaterialFilterDTO",
    "getPSAppDEMethodDTOFields" : [ {
      "codeName" : "N_PAYID_EQ",
      "logicName" : "支付标识",
      "name" : "N_PAYID_EQ",
      "getPSAppDEField" : {
        "name" : "PAYID",
        "codeName" : "PayId"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_PAYNAME_EQ",
      "logicName" : "支付名称",
      "name" : "N_PAYNAME_EQ",
      "getPSAppDEField" : {
        "name" : "PAYNAME",
        "codeName" : "PayName"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_PAYNAME_LIKE",
      "logicName" : "支付名称",
      "name" : "N_PAYNAME_LIKE",
      "getPSAppDEField" : {
        "name" : "PAYNAME",
        "codeName" : "PayName"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_RAWMATERIALID_EQ",
      "logicName" : "原材料标识",
      "name" : "N_RAWMATERIALID_EQ",
      "getPSAppDEField" : {
        "name" : "RAWMATERIALID",
        "codeName" : "RawMaterialId"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_RAWMATERIALNAME_LIKE",
      "logicName" : "原材料名称",
      "name" : "N_RAWMATERIALNAME_LIKE",
      "getPSAppDEField" : {
        "name" : "RAWMATERIALNAME",
        "codeName" : "RawMaterialName"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    } ],
    "sourceType" : "DE",
    "type" : "DEFILTER"
  } ],
  "getAllPSAppDEMethods" : [ {
    "actionMode" : "CHECKKEY",
    "codeName" : "CheckKey",
    "methodType" : "DEACTION",
    "name" : "CheckKey",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "RawMaterialDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "stdDataType" : 9,
      "type" : "SIMPLE"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/RawMaterial/PSDEACTIONS/CheckKey.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "CheckKey"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/checkkey",
    "builtinMethod" : false
  }, {
    "actionMode" : "CREATE",
    "codeName" : "Create",
    "methodType" : "DEACTION",
    "name" : "Create",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "RawMaterialDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "RawMaterialDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/RawMaterial/PSDEACTIONS/Create.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "READ",
    "codeName" : "Get",
    "methodType" : "DEACTION",
    "name" : "Get",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "RAWMATERIALID",
        "codeName" : "RawMaterialId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELD"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "RawMaterialDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/RawMaterial/PSDEACTIONS/Get.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "requestField" : "RAWMATERIALID",
    "requestMethod" : "GET",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "GETDRAFT",
    "codeName" : "GetDraft",
    "methodType" : "DEACTION",
    "name" : "GetDraft",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "RawMaterialDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "RawMaterialDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/RawMaterial/PSDEACTIONS/GetDraft.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "GetDraft"
    },
    "requestMethod" : "GET",
    "requestParamType" : "NONE",
    "requestPath" : "/getdraft",
    "builtinMethod" : false
  }, {
    "actionMode" : "DELETE",
    "batchActionMode" : 1,
    "codeName" : "Remove",
    "methodType" : "DEACTION",
    "name" : "Remove",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "RAWMATERIALID",
        "codeName" : "RawMaterialId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELDS"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/RawMaterial/PSDEACTIONS/Remove.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "DELETE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "requestField" : "RAWMATERIALID",
    "requestMethod" : "DELETE",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "enableBatchAction" : true,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "UNKNOWN",
    "codeName" : "Save",
    "methodType" : "DEACTION",
    "name" : "Save",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "RawMaterialDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/RawMaterial/PSDEACTIONS/Save.json"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Save"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/save",
    "builtinMethod" : false,
    "needResourceKey" : true
  }, {
    "actionMode" : "UPDATE",
    "codeName" : "Update",
    "methodType" : "DEACTION",
    "name" : "Update",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "RawMaterialDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "RawMaterialDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/common/PSDATAENTITIES/RawMaterial/PSDEACTIONS/Update.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "UPDATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "requestMethod" : "PUT",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "codeName" : "FetchDefault",
    "dataSetName" : "DEFAULT",
    "dataSetTag" : "Default",
    "methodType" : "FETCH",
    "name" : "FetchDefault",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "RawMaterialFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "RawMaterialDTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "Default"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/fetchdefault",
    "builtinMethod" : false
  }, {
    "codeName" : "FilterCreate",
    "methodType" : "FILTERACTION",
    "name" : "FILTERCREATE",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterFetch",
    "methodType" : "FILTERACTION",
    "name" : "FILTERFETCH",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterGet",
    "methodType" : "FILTERACTION",
    "name" : "FILTERGET",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterGetDraft",
    "methodType" : "FILTERACTION",
    "name" : "FILTERGETDRAFT",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterRemove",
    "methodType" : "FILTERACTION",
    "name" : "FILTERREMOVE",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterSearch",
    "methodType" : "FILTERACTION",
    "name" : "FILTERSEARCH",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterUpdate",
    "methodType" : "FILTERACTION",
    "name" : "FILTERUPDATE",
    "builtinMethod" : true
  }, {
    "codeName" : "Select",
    "methodType" : "SELECT",
    "name" : "Select",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "type" : "UNKNOWN"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "UNKNOWN"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Select"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/select",
    "builtinMethod" : false
  } ],
  "getAllPSAppViews" : [ {
    "modelref" : true,
    "path" : "PSSYSAPPS/TemplatePublish/PSAPPDEVIEWS/RawMaterialEditView.json",
    "viewType" : "DEEDITVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/TemplatePublish/PSAPPDEVIEWS/RawMaterialGridView.json",
    "viewType" : "DEGRIDVIEW"
  } ],
  "getAllPSDEOPPrivs" : [ {
    "logicName" : "建立",
    "name" : "CREATE"
  }, {
    "logicName" : "删除",
    "name" : "DELETE"
  }, {
    "logicName" : "读取",
    "name" : "READ"
  }, {
    "logicName" : "更新",
    "name" : "UPDATE"
  } ],
  "codeName" : "RawMaterial",
  "dEAPICodeName" : "rawmaterial",
  "dEAPICodeName2" : "rawmaterials",
  "dEAPITag" : "RAWMATERIAL",
  "dataAccCtrlArch" : 1,
  "dataAccCtrlMode" : 1,
  "dynaModelFilePath" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/RawMaterial.json",
  "enableUIActions" : 15,
  "getKeyPSAppDEField" : {
    "name" : "RAWMATERIALID",
    "codeName" : "RawMaterialId"
  },
  "logicName" : "原材料",
  "getMajorPSAppDEField" : {
    "name" : "RAWMATERIALNAME",
    "codeName" : "RawMaterialName"
  },
  "name" : "RAWMATERIAL",
  "getPSDEName" : "RAWMATERIAL",
  "getPSDEServiceAPI" : {
    "modelref" : true,
    "id" : "RawMaterial"
  },
  "getPSDataEntity" : {
    "modelref" : true,
    "path" : "PSMODULES/common/PSDATAENTITIES/RawMaterial.json"
  },
  "getPSSysServiceAPI" : {
    "modelref" : true,
    "path" : "PSSYSSERVICEAPIS/TrainSys.json"
  },
  "getQuickSearchPSAppDEFields" : [ {
    "name" : "RAWMATERIALNAME",
    "codeName" : "RawMaterialName"
  } ],
  "storageMode" : 0,
  "sysAPITag" : "TrainSys",
  "defaultMode" : true,
  "enableFilterActions" : true,
  "enableUICreate" : true,
  "enableUIModify" : true,
  "enableUIRemove" : true,
  "enableWFActions" : false,
  "major" : true
}